#!/bin/bash
echo -----------------------------------
echo Using pip to install Python $PY_VER version of tensorflow-addons
if [ `uname` == Linux ]; then
    if [ "$PY_VER" == "3.6" ]; then
        wheel_url=https://files.pythonhosted.org/packages/3c/98/afac76e3ca59635d03270be578ea17d375017f3b85872139cf25eb660774/tensorflow_addons-0.13.0-cp36-cp36m-manylinux2010_x86_64.whl
    elif [ "$PY_VER" == "3.7" ]; then
        wheel_url=https://files.pythonhosted.org/packages/66/4b/e893d194e626c24b3df2253066aa418f46a432fdb68250cde14bf9bb0700/tensorflow_addons-0.13.0-cp37-cp37m-manylinux2010_x86_64.whl
    elif [ "$PY_VER" == "3.8" ]; then
        wheel_url=https://files.pythonhosted.org/packages/bf/57/1f478ae21b8cfefc1a55c764f8fbd6e016528b830b279a908002b9f9b9f5/tensorflow_addons-0.13.0-cp38-cp38-manylinux2010_x86_64.whl
    elif [ "$PY_VER" == "3.9" ]; then
        wheel_url=https://files.pythonhosted.org/packages/ac/08/6f02e247aeb0d93d04d8ddc435eb007b76e8991f415cb56ac568748e1530/tensorflow_addons-0.13.0-cp39-cp39-manylinux2010_x86_64.whl
    fi
fi


if ["$wheel_url" == ""]; then
    echo Unsupported Python version $PY_VER.
    exit 1
fi

$PYTHON -m pip install --no-deps $wheel_url -vv

errorlevel=$?
echo $status
echo ERRORLEVEL: $rc
exit $rc

